import { Service } from './core';
export declare class Bootstrap {
    private server;
    userConfigPath: string;
    userConfigFilePath: string;
    cacheConfigTemporaryFilePath: string;
    constructor();
    checkLoadPluginReady(): Promise<void>;
    private getConfig;
    init(): Promise<import("./core/server/capability/plugin").ServerPlugin>;
    getServer(): Service;
    run(isReCompile?: boolean): Promise<void>;
    debounceRun: import("lodash").DebouncedFunc<() => void>;
}
