import ora from 'ora';
export declare type LogType = 'error' | 'warn' | 'info';
declare class Spinner {
    private spinnerInstance;
    init(text?: string): void;
    get spinner(): ora.Ora;
    awaitText(text: string): void;
    printCompiling(): void;
    awaitReCompiling(): void;
    stopAndPersistOk(text: string): void;
    printWhenFirstDone(): void;
}
export declare class Logger extends Spinner {
    output(type: LogType, ...msg: any): void;
    info(...msg: any): void;
    warn(...msg: any): void;
    error(...msg: any): void;
}
export {};
